
QGIS Application - Bug report #1459

External table modifications are not visible in QGIS table editor

2008-12-14 10:54 AM - Maciej Sieczka -

Status: Closed

Priority: Low

Assignee:

Category: Vectors

Affected QGIS version:master Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 11519

Description

1. load a GRASS vector map

2. edit it's table content, e.g. in QGIS GRASS shell, external GRASS session, OO.org Calc

3. check the table content in QGIS table editor - whatever changes you made, they are not visible here

History

#1 - 2009-06-10 08:39 AM - Lorenzo Masini

We could add a "Refresh" button to the table visualization.

Feedback?

#2 - 2009-07-15 02:16 AM - Paolo Cavallini

This is the same beahviour as for others layers (eg you can edit the dbf of a shapefile, with the same problems). Without a locking mechanism (difficult or

impossible to implement, given the veriety of data sources available), the problem will always be present.

#3 - 2009-07-28 05:24 AM - Giovanni Manghi

Replying to [comment:1 rugginoso]:

We could add a "Refresh" button to the table visualization.

Feedback?

+1

this would also "fix" #1631 and #1659

#4 - 2009-07-28 06:53 AM - Lorenzo Masini

- Status changed from Open to In Progress

Ok, I'm going to "fix" it soon :D
#5 - 2010-02-12 06:35 AM - Redmine Admin

As pointed out above, this is not only GRASS problem, but general problem for all vector data.

#6 - 2011-12-16 01:58 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#7 - 2011-12-23 09:34 AM - Paolo Cavallini

- Affected QGIS version set to master

- Crashes QGIS or corrupts data set to No

- Pull Request or Patch supplied set to No

- Assignee deleted (Lorenzo Masini)

#8 - 2012-04-16 06:22 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0

#9 - 2012-09-04 12:04 PM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#10 - 2014-06-28 07:37 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#11 - 2015-11-16 08:06 AM - Médéric RIBREUX

Hello, bug triage...

with the following PR, there should be a button to refresh attribute table.

Waiting to test it in nightly builds...

#12 - 2015-12-02 02:48 AM - Médéric RIBREUX

- % Done changed from 0 to 100

- Resolution set to fixed/implemented

- Status changed from In Progress to Closed
https://github.com/qgis/QGIS/pull/2455

